org.bouncycastle.openpgp.test

## Class PGPSignatureTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.openpgp.test.PGPSignatureTest

All Implemented Interfaces:
  org.bouncycastle.util.test.Test

    public class PGPSignatureTest
    extends org.bouncycastle.util.test.SimpleTest

### Constructor Summary

Constructors
Constructor and Description
`PGPSignatureTest()`

### Method Summary

Methods
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`

### Methods inherited from class org.bouncycastle.util.test.SimpleTest

`areEqual, fail, fail, fail, perform, runTest, runTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PGPSignatureTest

    public PGPSignatureTest()

### Method Detail

#### performTest

    public void performTest()
                     throws java.lang.Exception

Specified by:
  `performTest` in class `org.bouncycastle.util.test.SimpleTest`
Throws:
  `java.lang.Exception`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.bouncycastle.util.test.Test`
Specified by:
  `getName` in class `org.bouncycastle.util.test.SimpleTest`

#### main

    public static void main(java.lang.String[] args)